Next Previous Contents

## 3.5 _poserror

> Function

>   Print an error message for the error in `_oserror`.

> Header

>   `stdio.h`

> Declaration

>   `void __fastcall__ _poserror (const char* msg);`

> Description

>   `_poserror` prints an error message to `stderr`. If `msg` is not `NULL` and not an empty string, it is printed followed by a colon and a blank. Then the error message for the current contents of `_oserror` are printed followed by a newline. The message output is the same as returned by `_stroserror` with an argument of `_oserror`.

> Limits

>   - Since operating system specific error code are - you guessed it - operating system specific, the value in `_oserror` and the message that is printed depends on the cc65 target.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   _stroserror, perror

> Example

>   None.

Next Previous Contents